{-
File: FileStats.hs
-}
    
module Main (main) where

import Data.String (lines, words)
import TerminalIO (getString)

main :: IO ()
main = do
    pathname <- getString "Enter the file name: "
    text <- readFile pathname
    let lineCount = length (lines text)
    let wordCount = length (words text)
    let charCount = length text
    putStrLn ("Line count:      " ++ show lineCount)
    putStrLn ("Word count:      " ++ show wordCount)
    putStrLn ("Character count: " ++ show charCount)